SET DEFINE OFF;

--
-- 
-- ____________________________________________________________________________________________
--  /!\ ATTENTION /!\  fichier encodé en UTF-8   (  il peut  contenir des é è ç à î ê ô ... )
-- ____________________________________________________________________________________________
--
--

--
-- 
-- Fichier: n°1
-- Type: DDL
-- Schéma:  RECHERCHE
-- Numéro de version :  1.0.0.0
-- Date de publication :  07/12/2010
-- Auteurs : Julien Lafourcade, Bruno Garnier
-- Licence : CeCILL version 2
--
--


/*
	Initialisation des privilèges, même si ce n'est plus très utilie avec le USER UNIQUE 
*/


whenever sqlerror exit sql.sqlcode ;


-- privileges
GRANT REFERENCES ON GRHUM.INDIVIDU_ULR TO RECHERCHE;
GRANT REFERENCES ON GRHUM.STRUCTURE_ULR TO RECHERCHE;
GRANT REFERENCES ON GRHUM.PERSONNE TO RECHERCHE;
GRANT REFERENCES ON ACCORDS.AVENANT TO RECHERCHE;
GRANT SELECT ON ACCORDS.AVENANT TO RECHERCHE;
GRANT UPDATE ON ACCORDS.AVENANT TO RECHERCHE;
GRANT REFERENCES ON ACCORDS.CONTRAT TO RECHERCHE;
GRANT SELECT ON ACCORDS.CONTRAT TO RECHERCHE;
GRANT UPDATE ON ACCORDS.CONTRAT TO RECHERCHE;
GRANT REFERENCES ON ACCORDS.PROJET TO RECHERCHE;
GRANT SELECT ON ACCORDS.PROJET TO RECHERCHE;
GRANT SELECT ON ACCORDS.PROJET_CONTRAT TO RECHERCHE;
GRANT REFERENCES ON JEFY_ADMIN.UTILISATEUR TO RECHERCHE;
GRANT SELECT ON GRHUM.INDIVIDU_ULR TO RECHERCHE;
GRANT SELECT ON GRHUM.STRUCTURE_ULR TO RECHERCHE;
GRANT SELECT ON GRHUM.ASSOCIATION TO RECHERCHE;
GRANT SELECT ON GRHUM.REPART_STRUCTURE TO RECHERCHE;
GRANT SELECT ON GRHUM.REPART_ASSOCIATION TO RECHERCHE;
GRANT SELECT ON GRHUM.REPART_TYPE_GROUPE TO RECHERCHE;

GRANT SELECT ON JEFY_ADMIN.EXERCICE_COCKTAIL TO RECHERCHE;
GRANT REFERENCES ON JEFY_ADMIN.EXERCICE_COCKTAIL TO RECHERCHE;
GRANT REFERENCES ON GRHUM.LANGUE TO RECHERCHE;
GRANT SELECT ON GRHUM.LANGUE TO RECHERCHE;
GRANT REFERENCES ON GRHUM.DOMAINE_SCIENTIFIQUE TO RECHERCHE;
GRANT SELECT ON GRHUM.DOMAINE_SCIENTIFIQUE TO RECHERCHE;
GRANT REFERENCES ON GRHUM.LABELS TO RECHERCHE;
GRANT SELECT ON GRHUM.LABELS TO RECHERCHE;
GRANT REFERENCES ON COURRIER.COURRIER TO RECHERCHE;
GRANT SELECT ON COURRIER.COURRIER TO RECHERCHE;
GRANT REFERENCES ON GRHUM.EVT_EVENEMENT TO RECHERCHE;
GRANT SELECT ON GRHUM.EVT_EVENEMENT TO RECHERCHE;




